Bug 1266802 - python-openid missing Requires on defusedxml
python-openid missing Requires on defusedxml
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python3-openid (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Dorňák
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-27 21:03 EDT by Dan Callaghan
Modified: 2016-11-30 19:58 EST (History)
3 users (show)

See Also:
Fixed In Version: python3-openid-3.0.9-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-27 15:52:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2015-09-27 21:03:14 EDT
Version-Release number of selected component (if applicable):
python3-openid-3.0.5-1.fc22.noarch

How reproducible:
easily

Steps to Reproduce:
1. Start from a fresh install and/or remove python3-defusedxml
2. Import openid.server.server in your Python 3 program

Actual results:
Traceback (most recent call last):
  File "app.py", line 7, in <module>
    from openid.server.server import Server as OpenIDServer, ProtocolError as OpenIDProtocolError
  File "/usr/lib/python3.4/site-packages/openid/server/server.py", line 129, in <module>
    from openid.server.trustroot import TrustRoot, verifyReturnTo
  File "/usr/lib/python3.4/site-packages/openid/server/trustroot.py", line 21, in <module>
    from openid.yadis import services
  File "/usr/lib/python3.4/site-packages/openid/yadis/services.py", line 3, in <module>
    from openid.yadis.filters import mkFilter
  File "/usr/lib/python3.4/site-packages/openid/yadis/filters.py", line 14, in <module>
    from openid.yadis.etxrd import expandService
  File "/usr/lib/python3.4/site-packages/openid/yadis/etxrd.py", line 31, in <module>
    SafeElementTree = importSafeElementTree()
  File "/usr/lib/python3.4/site-packages/openid/oidutil.py", line 87, in importSafeElementTree
    'Tried importing %r' % (module_names,))
ImportError: Unable to find a ElementTree module that is not vulnerable to XXE. Tried importing ['defusedxml.cElementTree', 'defusedxml.ElementTree']

Expected results:
Successful import

Additional info:
Just need to add Requires: python3-defusedxml I think (and presumably Requires: python-defusedxml for the Python 2 subpackage).
Comment 1 Patrick Uiterwijk 2015-11-17 06:12:22 EST
Please note that python3-openid is NOT a subpackage of python-openid.
python3-openid is a forked version, and as such a different upstream.
Comment 2 Patrick Uiterwijk 2015-11-17 06:13:45 EST
And for additional information: the original upstream of python-openid does not use defusedxml, so does not need a change.
Comment 3 Fedora Update System 2015-11-19 10:44:06 EST
python3-openid-3.0.9-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ecc987b3c4
Comment 4 Fedora Update System 2015-11-19 10:44:44 EST
python3-openid-3.0.9-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5ceccc2a07
Comment 5 Fedora Update System 2015-11-20 05:21:50 EST
python3-openid-3.0.9-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python3-openid'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5ceccc2a07
Comment 6 Fedora Update System 2015-11-20 06:24:18 EST
python3-openid-3.0.9-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python3-openid'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ecc987b3c4
Comment 7 Fedora Update System 2015-11-27 13:21:30 EST
python3-openid-3.0.9-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-11-27 15:52:27 EST
python3-openid-3.0.9-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.